#ifndef UTIL_H
#define UTIL_H

#include "config.h"
#include <stdio.h>

/* util.c */
int daemon_init(void);
int create_temporary_file(char *dir, char **name);
void create_temporary_filename(char *dir, char **name);
int basprintf(char **s, char *fmt, ...);
void bfree(void **buf);
void balloc(void **buf, size_t size);

#ifndef HAVE_ASPRINTF
int asprintf(char **,const char *fmt, ...);
#endif
#ifndef HAVE_STRDUP
char *strdup(const char *);
#endif

#endif
